name: Run Unit and Integration Tests

on:
  push:
    branches:
      - '**'
  pull_request:
    branches:
      - "main"
      - "development"
jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout Repository
        uses: actions/checkout@v4
      
      - name: Set up Node.js
        uses: actions/setup-node@v4
      
      - name: Install Dependencies
        run: npm install
      
      - name: Run Tests
        run: npm test